Generative Shape Design

From Wikicatia,the free encyclopedia
Jump to: navigation, search


Contents

Wireframe

Points

PD Point.jpgPoint, SD PPRepetition.jpgPoints and Planes PRepetition, SD Extremum.jpgExtremum, SD PExtremum.jpgExtremumPolar

Line-Axis

PD Line.jpgLine, SD Axis.jpgAxis, SD Polyline.JPGPolyline

Planes

PD Plane.JPGPlane, SD BPlanes.JPGPlanes Between

Project, Combine, Intersect and Offset

SD Projection.JPGProjection, SD Combine.JPGCombine, SD ReflectLine.JPGReflectLine, SD Intersection.JPGIntersection, SD ParallelCurve.JPGParallel Curve, SD 3DCurveOffset.JPG3D Curve Offset

Circle-Conic

SD Circle.JPG3D Circle, SD Corner.JPG3D Corner, SD ConnectCurve.JPGConnect Curve, SD Conic.JPGConic

Curves

SD Spline.JPGSpline, SD Helix.JPGHelix, SD Spiral.JPGSpiral, SD Spine.JPGSpine, SD Contour.JPGContour, SD IsoCurve.JPGIsoparametric Curve

Surfaces

SD Extrude.jpgSurface Extrude, SD Revolve.jpgSurface Revolve, SD Sphere.jpgSphere, SD Cylinder.jpgCylinder, SD SOffset.jpgSurface Offset, SD Sweep.jpgSweep, SD AdaptiveSweep.jpgAdaptive Sweep, SD Fill.jpgFill, SD MSSurface.jpgMulti-Sections Surface, SD Blend.jpgBlend

Operations

Join-Healing

SD Join.jpgJoin, SD Healing.jpgHealing, SD CurveSmooth.jpgCurve Smooth, SD Untrim.jpgUntrim, SD Disassemble.jpgDisassemble

Trim-Split

SD SSplit.jpgSurface Split, SD STrim.jpgSurface Trim,

Extracts

SD Boundary.jpgBoundary, SD Extract.jpgExtract, SD MExtract.jpgMultiple Extract

Fillets

SD SFillet.jpgShape Fillet, SD SEFillet.jpgSurface Edge Fillet, SD SVFillet.jpgSurface Variable Fillet,SD SCFillet.jpgSurface Chordal Fillet, SD SSFillet.jpgStyling Fillet, SD SFFFillet.jpgSurface Face-Face Fillet, SD STFillet.JPGSurface Tritangent Fillet

Transformations

SD STranslation.jpgWireframe Translation, SD Rotation.jpgWireframe Rotation, SD Symmetry.jpgWireframe Symmetry, PD Scaling.jpgWireframe Scaling, PD Affinity.jpgWireframe Affinity, PD AxisToAxis.jpgWireframe Axis To Axis

Extrapolate

SD Extrapolate.jpgExtrapolate, SD Invert.jpgInvert Orientation, SD NearFar.jpgNear/Far,

Replication

SD ObjectRepetition.jpgObject Repetition, PD RPattern.jpgRectangular Pattern, PD CPattern.jpgCircular Pattern, PD UPattern.jpgUser Pattern,

Analysis

SD CCAnalysis.jpgConnect Checker Analysis, SD FDAnalysis.jpgFeature Draft Analysis, SD SCAnalysis.jpgSurface Curvature Analysis, SD PCAnalysis.jpgPorcupine Curvature Analysis, SD AppDressUp.jpgApply Dress-Up, SD RemDressUp.jpgRemove Dress-Up, SD GeoInfo.jpgGeometric Information, SD WYSIWYG.jpgWYSIWYG,

Visual Basic Script

The HybridShapeFactory class, is where wireframes and surfaces are created. It is declared in Part class as below.

Part.HybridShapeFactory as Factory

Like:

Dim HSF As factory
Set HSF = CATIA.ActiveDocument.Part.HybridShapeFactory

A HybridBody is on object used to manage geometrical sets and includes HybridShapes. Different hybrid bodies of a part are gathered in HybridBodies collection of a Part object. To see how to add a geometrical set, see below:

Dim HBS as HybridBodies
Set HBS = CATIA.ActiveDocument.Part.HybridBodies
Dim HB As HybridBody
Set HB = CATIA.ActiveDocument.Part.HybridBodies.Add()'To add a new geoset
HB.Name = "SPLINES" ' To change its name

or

Set HB = HBS.Add()'To add a new geoset
HB.Name = "SPLINES" ' To change its name

To get an existing geometrical set, in this case called SKELETON,

Dim skelHB As HybridBody
Set skelHB = HBS.Item("SKELETON")

or

Set skelHB = CATIA.ActiveDocument.Part.HybridBodies.Item("SKELETON")

To get the last geoset,

Set skelHB = HBS.Item(HBS.Count)
Personal tools
Namespaces

Variants
Actions
Navigation
Toolbox
In other languages
Donate
Ads by Google